/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protege.server.metaproject;

import java.util.Collection;
import java.util.Date;
import java.util.Set;

public interface User {

	String getName();

	Set<Group> getGroups();

	String getDescription();

	Date getLastAccess();

	Date getLastLogin();

	void setDescription(String description);

	void setName(String name);

	void setPassword(String password);

	void setLastAccess(Date time);

	void setLastLogin(Date time);

	boolean verifyPassword(String password);

	void setEmail(String email);

	String getEmail();

	String getSalt();

	String getDigestedPassword();

	void setDigestedPassword(String hashedPassword, String salt);

	Collection<PropertyValue> getPropertyValues();

	Collection<String> getPropertyValuesAsString(String prop);

    String getPropertyValue(String prop);

    void setPropertyValue(String propertyName, String propertyValue);

	void setPropertyValues(Collection<PropertyValue> propertyValues);

	void addPropertyValue(PropertyValue propertyValue);

	void addPropertyValue(String prop, String value);

	void removePropertyValue(PropertyValue propertyValue);

	void removePropertyValue(String prop, String value);

}
